summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xunrar/build/unrar.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/unrar/build/unrar.SlackBuild b/unrar/build/unrar.SlackBuild
index 6c257792..c0e381b4 100755
--- a/unrar/build/unrar.SlackBuild
+++ b/unrar/build/unrar.SlackBuild
@@ -74,13 +74,6 @@ SRCURL="http://www.rarlab.com/rar/${PRGNAM}src-${VERSION}.tar.gz"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -91,6 +84,13 @@ if [ -z "$ARCH" ]; then
esac
fi
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""